Defines | Functions | Variables

# arm_fft_bin_example_f32.c File Reference

`#include "arm_math.h"`

Go to the source code of this file.

## Defines
#define | TEST_LENGTH_SAMPLES 2048
## Functions
int32_t | main (void)
## Variables
float32_t | testInput_f32_10khz [TEST_LENGTH_SAMPLES]
static float32_t | testOutput [TEST_LENGTH_SAMPLES/2]
uint32_t | fftSize = 1024
uint32_t | ifftFlag = 0
uint32_t | doBitReverse = 1
uint32_t | refIndex = 213
uint32_t | testIndex = 0

## Define Documentation

#define TEST_LENGTH_SAMPLES 2048

Definition at line 84 of file arm_fft_bin_example_f32.c.

## Function Documentation

int32_t main | ( | void | ) |

Definition at line 106 of file arm_fft_bin_example_f32.c.

## Variable Documentation

float32_t testInput_f32_10khz[TEST_LENGTH_SAMPLES]

Examples:
  arm_fft_bin_example_f32.c.

float32_t testOutput[TEST_LENGTH_SAMPLES/2]`[static]`

Definition at line 90 of file arm_fft_bin_example_f32.c.

uint32_t fftSize = 1024

Examples:
  arm_fft_bin_example_f32.c.

Definition at line 95 of file arm_fft_bin_example_f32.c.

uint32_t ifftFlag = 0

Examples:
  arm_fft_bin_example_f32.c.

Definition at line 96 of file arm_fft_bin_example_f32.c.

uint32_t doBitReverse = 1

Examples:
  arm_fft_bin_example_f32.c.

Definition at line 97 of file arm_fft_bin_example_f32.c.

uint32_t refIndex = 213

Examples:
  arm_fft_bin_example_f32.c.

Definition at line 100 of file arm_fft_bin_example_f32.c.

uint32_t testIndex = 0

Examples:
  arm_fft_bin_example_f32.c.

Definition at line 100 of file arm_fft_bin_example_f32.c.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines